import request from '@/assets/js/utils/request'
/*
企业证书管理API接口
* */

//  查询企业证书列表
export function listCertificatePages(data) {
  return request({
    url: '/bidprocurement/common-supplier/supplier/certificate/listCertificatePages',
    method: 'post',
    data
  })
}
//  查询企业证书列表审核通过
export function listCertificateAuditPages(data) {
  return request({
    url: '/bidprocurement/common-supplier/supplier/certificate/listCertificateAuditPages',
    method: 'post',
    data
  })
}
//  获取证书所有字典
export function getCertificateDictionaries() {
  return request({
    url: '/bidprocurement/common-supplier/supplier/certificate/getCertificateDictionaries',
    method: 'post'
  })
}
//  保存企业证书
export function saveCertificateInfo(data) {
  return request({
    url: '/bidprocurement/common-supplier/supplier/certificate/saveCertificateInfo',
    method: 'post',
    data
  })
}
//  编辑查询企业证书
export function queryCertificateInfo(data) {
  return request({
    url: '/bidprocurement/common-supplier/supplier/certificate/queryCertificateInfo',
    method: 'post',
    data
  })
}
//  删除企业证书
export function removeCertificate(data) {
  return request({
    url: '/bidprocurement/common-supplier/supplier/certificate/removeCertificate',
    method: 'post',
    data
  })
}
